Skip to main content
GET
/
v3
/
workflow-definition-versions
/
{workflow_definition_version_id}
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/workflow-definition-versions/{workflow_definition_version_id} \
  --header 'X-Session-Token: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "steps": [
        {
          "id": "<string>",
          "name": "<string>",
          "order": 123,
          "step_type": "initial",
          "allowed_transitions": [
            {
              "id": "<string>",
              "name": "<string>",
              "description": "<string>",
              "requires_note": true
            }
          ],
          "position": {
            "x": 123,
            "y": 123
          }
        }
      ]
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  }
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

workflow_definition_version_id
string<uuid>
required

The unique identifier for the workflow definition version.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
organisation

Response

Get a workflow definition version.

JSON API response object

data
object
required

A workflow definition version resource.

jsonapi
object
required